PHPExcel_Cell

# Class: PHPExcel_Cell_DefaultValueBinder

Source Location: /PHPExcel/Cell/DefaultValueBinder.php

### Class Overview

PHPExcel_Cell_DefaultValueBinder

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Cell_IValueBinder

### Methods

- bindValue
- dataTypeForValue

### Child classes:

PHPExcel_Cell_AdvancedValueBinder
  PHPExcel_Cell_AdvancedValueBinder

### Class Details

[line 46]
PHPExcel_Cell_DefaultValueBinder

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method dataTypeForValue [line 75]

`static int dataTypeForValue( [mixed $pValue = null])`

DataType for value

#### Tags:

access: | public

#### Parameters:

mixed | $pValue |

[ Top ]

### method bindValue [line 55]

`boolean bindValue( PHPExcel_Cell $cell, [mixed $value = null])`

Bind value to a cell

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Cell_AdvancedValueBinder::bindValue()
  Bind value to a cell

Implementation of:

PHPExcel_Cell_IValueBinder::bindValue()
  Bind value to a cell

#### Parameters:

PHPExcel_Cell | $cell | Cell to bind value to
mixed | $value | Value to bind in cell

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:43 +0200 by phpDocumentor 1.4.4